[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# lock_data

Lock data memory range

## Declaration

Source position: go32.pp line 141

`function lock_data(`
`var data;`
`size: LongInt`
`):Boolean;`

## Description

Locks a memory range which resides in the data segment selector.

Parameters:

data
  address of data to be locked.
size
  length of data to be locked.

Return values: True if successful, False otherwise.

For an example, see get_rm_callback.

## Errors

Check the int31error variable.

## See also

lock_linear_region |  | Lock linear memory region
lock_code |  | Lock code memory range
unlock_linear_region |  | Unlock linear memory region
unlock_data |  | Unlock data segment
unlock_code |  | Unlock code segment

Documentation generated on: Feb 26 2014